%global momorel 5

Summary: File-Find-Rule module for perl 
Name: perl-File-Find-Rule
Version: 0.30
Release: %{momorel}m%{?dist}
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/File/File-Find-Rule-%{version}.tar.gz 
NoSource: 0
URL: http://www.cpan.org/modules/by-module/File/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 5.8.5
BuildPreReq: perl-Text-Glob >= 0.06-5m
BuildPreReq: perl-Number-Compare >= 0.01-6m
BuildArch: noarch

%description
File-Find-Rule module for perl

%prep
%setup -q -n File-Find-Rule-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot}%{_prefix} -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > File-Find-Rule-%{version}-filelist
if [ "$(cat File-Find-Rule-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# remove needless files
rm -f %{buildroot}%{perl_vendorarch}/auto/File/Find/Rule/.packlist

%files -f File-Find-Rule-%{version}-filelist
%defattr(-,root,root)
%doc Changes

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.30-5m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.30-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.30-3m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.30-2m)
- use vendor

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.30-1m)
- update to 0.30

* Fri Jun  2 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.29-1m)
- update to 0.29

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.28-3m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.28-2m)
- rebuilt against perl-5.8.7

* Fri Dec 17 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.28-1m)
- update to 0.28

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.27-3m)
- rebuild against perl-5.8.5
- rebuild against perl-Text-Glob 0.06-5m 
- rebuild against perl-Number-Compare 0.01-6m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.27-2m)
- remove Epoch from BuildPrereq

* Mon Mar 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.27-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.24-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.24-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.24-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.24-1m)
- version 0.24

* Fri Sep  5 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.11-1m)

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Tue Mar 04 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.08-1m)
- 'BuildArch: noarch'

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.07-1m)
- spec file was semi-autogenerated
